#!/usr/bin/env bash
###
 # Entry point for running unittests.
 ##


# Ensure script location is consistent, regardless of terminal calling location.
cd "$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"


# Variables.
text_reset="\033[0m"
text_purple="\033[0;35m"


# Get sudo password now so we don't have to later.
echo -e "To fully test some functions, script may ask for your sudo password."
sudo ls > /dev/null 2>&1


# Run Directory Function tests.
echo ""
echo -e "Running ${text_purple}Directory Function${text_reset} tests."
bats ./test_directory_functions.sh
echo -e "Finished ${text_purple}Directory Function${text_reset} Tests."
echo ""


# Run User Function tests.
echo ""
echo -e "Running ${text_purple}User Function${text_reset} tests."
bats ./test_user_functions.sh
sudo bats ./test_user_functions_sudo.sh
echo -e "Finished ${text_purple}User Function${text_reset} tests."
echo ""


# Run Text Function tests.
echo ""
echo -e "Running ${text_purple}Text Function${text_reset} tests."
bats ./test_text_functions.sh
echo -e "Finished ${text_purple}Text Function${text_reset} tests."
echo ""


# Run Display Function tests.
echo ""
echo -e "Running ${text_purple}Display Function${text_reset} tests."
bats ./test_display_functions.sh
echo -e "Finished ${text_purple}Display Function${text_reset} tests."
echo ""
